[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| XYZ2RGBPrimeFunctor [Color Space Conversions] |

Convert standardized tri-stimulus XYZ into non-linear (gamma corrected) R'G'B'. More...

`#include <vigra/colorconversions.hxx>`

List of all members.

## Public Types

typedef TinyVector< T, 3 > | argument_type
typedef RGBValue< T > | result_type
typedef RGBValue< T > | value_type

## Public Member Functions

template<class V>
result_type | operator() (V const &xyz) const
| XYZ2RGBPrimeFunctor (component_type max)
| XYZ2RGBPrimeFunctor ()

## Detailed Description

### template<class T>
class vigra::XYZ2RGBPrimeFunctor< T >

Convert standardized tri-stimulus XYZ into non-linear (gamma corrected) R'G'B'.

#include <vigra/colorconversions.hxx>
Namespace: vigra

The functor realizes the transformation

See vigra::XYZ2RGBFunctor and vigra::RGB2RGBPrimeFunctor for a description of the two steps.

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

## Member Typedef Documentation

typedef TinyVector<T, 3> argument_type

the functor's argument type. (actually, the argument type can be any vector type with the same interface. But this cannot be expressed in a typedef.)

typedef RGBValue<T> result_type

the functor's result type

typedef RGBValue<T> value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

XYZ2RGBPrimeFunctor | ( |  | ) |

default constructor. The maximum value for each RGB component defaults to 255.

XYZ2RGBPrimeFunctor | ( | component_type | max | ) |

constructor

- max - the maximum value for each RGB component

## Member Function Documentation

result_type operator() | ( | V const & | xyz | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)